Module java.management.rmi
Package javax.management.remote.rmi

## Class RMIIIOPServerImpl

- java.lang.Object
- - javax.management.remote.rmi.RMIServerImpl
  - - javax.management.remote.rmi.RMIIIOPServerImpl

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `Remote`, `RMIServer`

    @Deprecated
    public class RMIIIOPServerImpl
    extends RMIServerImpl

Deprecated.
This transport is no longer supported.

An `RMIServerImpl` that is exported through IIOP and that creates client connections as RMI objects exported through IIOP. User code does not usually reference this class directly.

Since:
  1.5
See Also:
  `RMIServerImpl`

### Constructor Summary

Constructors
`RMIIIOPServerImpl​(Map<String,​?> env)` Deprecated. Throws UnsupportedOperationException

### Method Summary

### Methods declared in class javax.management.remote.rmi.RMIServerImpl

`clientClosed, close, closeClient, closeServer, export, getDefaultClassLoader, getMBeanServer, getProtocol, makeClient, newClient, setDefaultClassLoader, setMBeanServer, toStub`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods declared in interface javax.management.remote.rmi.RMIServer

`getVersion`

### Constructor Detail

#### RMIIIOPServerImpl

    public RMIIIOPServerImpl​(Map<String,​?> env)
                      throws IOException

Deprecated.
Throws UnsupportedOperationException

Parameters:
  `env` - the environment containing attributes for the new `RMIServerImpl`. Can be null, which is equivalent to an empty Map.
Throws:
  `IOException` - if the RMI object cannot be created.